%define cinever 0.21-2

%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           cinepaint
Version:        %(echo %{cinever} |sed 's|-|.|')
Release:        1%{?dist}
Summary:        CinePaint is a tool for manipulating images

Group:          Applications/Multimedia
License:        GPL
URL:            http://www.cinepaint.org/
Source0:        http://switch.dl.sourceforge.net/sourceforge/cinepaint/cinepaint-%{cinever}.tar.gz
Patch0:         http://switch.dl.sourceforge.net/sourceforge/cinepaint/app_proc.c.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


BuildRequires:  chrpath
BuildRequires:  desktop-file-utils
BuildRequires:  flex
BuildRequires:  fltk-devel
BuildRequires:  gettext
BuildRequires:  glib2-devel
BuildRequires:  gtk+-devel
BuildRequires:  gutenprint-devel
BuildRequires:  python-devel
BuildRequires:  lcms-devel
BuildRequires:  libgcj-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libtiff-devel
BuildRequires:  libXmu-devel
BuildRequires:  OpenEXR-devel

Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig


%description
 CinePaint is used for motion picture frame-by-frame retouching, dirt removal,
wire rig removal, render repair, background plates, and 3d model textures.
It's been used on many feature films, including The Last Samurai where it was
used to add flying arrows. It's also being used by pro photographers who need
greater color fidelity than is available in other tools.

%package devel
Summary:        Development package for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description devel
This package contains development files for %{name}.


%prep
%setup -q -n cinepaint-%{cinever}
sed -i 's|\r||'  NEWS COPYING
%patch0

%build
%configure \
  --disable-static \
  --with-pixmap=%{_datadir}/pixmaps \
  --with-python=%{_bindir}/python

#from http://fedoraproject.org/wiki/Packaging/Guidelines
#rpath issue
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

chmod 0755 $RPM_BUILD_ROOT%{_libdir}/cinepaint/%{cinever}/plug-ins/gtkcons.py

chrpath --delete $RPM_BUILD_ROOT%{_libdir}/cinepaint/%{cinever}/plug-ins/pdf
chrpath --delete $RPM_BUILD_ROOT%{_libdir}/cinepaint/%{cinever}/plug-ins/collect
chrpath --delete $RPM_BUILD_ROOT%{_libdir}/cinepaint/%{cinever}/plug-ins/bracketing_to_hdr

desktop-file-install --vendor="fedora"               \
  --dir=${RPM_BUILD_ROOT}%{_datadir}/applications    \
  --delete-original                                  \
  --mode 644                                         \
  --add-category X-Fedora                            \
${RPM_BUILD_ROOT}%{_datadir}/applications/cinepaint.desktop

%find_lang %{name}
%find_lang cinepaint-script-fu
%find_lang cinepaint-std-plugins
cat cinepaint-script-fu.lang |grep lang >> %{name}.lang
cat cinepaint-std-plugins.lang |grep lang >> %{name}.lang

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_bindir}/*
%{_libdir}/*.so.*
%{_datadir}/aclocal/cinepaint.m4
%{_mandir}/man1/*
%{_libdir}/cinepaint/%{cinever}
%dir %{_libdir}/cinepaint
%{_datadir}/applications/*cinepaint.desktop
%{_datadir}/pixmaps/cinepaint.png
%{_datadir}/%{name}/%{cinever}/gimprc
%{_datadir}/%{name}/%{cinever}/gimprc_user
%{_datadir}/%{name}/%{cinever}/gtkrc
%{_datadir}/%{name}/%{cinever}/gtkrc.forest2
%{_datadir}/%{name}/%{cinever}/printrc_user
%{_datadir}/%{name}/%{cinever}/ps-menurc
%{_datadir}/%{name}/%{cinever}/spot.splash.ppm
%{_datadir}/%{name}/%{cinever}/tips.txt
%{_datadir}/%{name}/%{cinever}/user_install
%{_datadir}/%{name}/%{cinever}/brushes
%{_datadir}/%{name}/%{cinever}/curves
%{_datadir}/%{name}/%{cinever}/gradients
%{_datadir}/%{name}/%{cinever}/iol
%{_datadir}/%{name}/%{cinever}/palettes
%{_datadir}/%{name}/%{cinever}/patterns
%{_datadir}/%{name}/%{cinever}/scripts
%dir %{_datadir}/%{name}/%{cinever}
%{python_sitelib}/*
%{python_sitearch}/*


%files devel
%defattr(-, root, root)
#%doc HACKING
#%{_libdir}/*.a
%exclude %{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/cinepaint-gtk.pc
%{_includedir}/cinepaint


%changelog
* Mon Jan 29 2007 kwizart < kwizart at gmail.com > - 0.21.2-1
- Initial release for Fedora Extras

* Mon May 29 2006 Kai-Uwe Behrmann
- move desktop entries to normal installation

* Mon Mar 26 2006 Kai-Uwe Behrmann
- add locale info

* Fri Apr 11 2003 Robin Rowe
- filmgimp to cinepaint rename
- rename gimp files

* Tue Dec 03 2002 Sam Richards
- Changed include directory path.

* Wed Nov 06 2002 Rene Rask
- release 0.6-2
- Rpms can now be built from source by running "make rpm"
- Updated splash and logo images.

* Mon Nov 04 2002 Rene Rask
- release 0.6.

* Wed Oct 30 2002 Rene Rask
- Initial RPM release.

